Summary:	Xfce plugin which displays the current system load
Summary(pl.UTF-8):	Wtyczka Xfce wyświetlająca aktualne obciążenie systemu
Name:		xfce4-systemload-plugin
Version:	1.4.0
Release:	1
License:	BSD-like (see COPYING)
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-systemload-plugin/1.4/%{name}-%{version}.tar.xz
# Source0-md5:	9ccd2912fd985e5bc7265b7e687a2505
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-systemload-plugin
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	libgtop-devel >= 2.32.0
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel >= 4.16.0
BuildRequires:	libxfce4util-devel >= 4.17.2
BuildRequires:	meson >= 0.54.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	upower-devel >= 0.99.0
BuildRequires:	xfce4-dev-tools >= 4.16.0
BuildRequires:	xfce4-panel-devel >= 4.16.0
BuildRequires:	xfconf-devel >= 4.16.0
Requires:	xfce4-panel >= 4.16.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A system load plugin for the Xfce desktop environment. It displays the
current CPU load, the memory in use, the swap space and the system
uptime in the Xfce panel.

%description -l pl.UTF-8
Wtyczka obciążenia systemu dla środowiska Xfce. Wyświetla obecne
obciążenie procesora, użycie pamięci, pliku wymiany i czasu pracy
systemu w panelu Xfce.

%prep
%setup -q

%build
%meson
%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hye,ie,ur_PK}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS COPYING
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libsystemload.so
%{_datadir}/xfce4/panel/plugins/systemload.desktop
%{_iconsdir}/hicolor/*x*/apps/org.xfce.panel.systemload.png
%{_iconsdir}/hicolor/scalable/apps/org.xfce.panel.systemload.svg
%changelog
* Thu May 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-systemload-plugin.git;a=log;h=master

* Thu May 22 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7e7912b
- up to 1.4.0

* Sat Dec 28 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b1dccc0
- up to 1.3.3

* Sat Jun 03 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1983c11
- added convert-gulong.patch (from opensuse)

* Sat Jun 03 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 989bff8
- up to 1.3.2

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> c632485
- rebuild with separate debuginfo build-ids

* Tue Apr 06 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> cf94ecb
- up to 1.3.1

* Wed Mar 10 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7d71987
- up to 1.3.0

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9fa603f
- up to 1.2.4

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> b5b4786
- up to 1.2.3

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 77507c4
- up to 1.1.2

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> bb7a804
- x32 rebuild
- release 4 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 330ed18
- updated gettext BR

* Wed Sep 03 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 84ef3b3
- upower rebuild
- release 3 (by relup.sh)

* Mon Apr 14 2014 Jan Rękorajski <baggins@pld-linux.org> 6f22cf3
- release 2 (by relup.sh)

* Wed Aug 15 2012 Jan Rękorajski <baggins@pld-linux.org> f8b16d6
- Updated to 1.1.1

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 3fb7664
- updated files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> ed13392
- up to 1.1.0

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> e87d9d7
- rel 2
- port to libxfce4ui

* Tue Feb 15 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 3d5abb9
- updated to 1.0.0

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ae2dd11
- drop obsolete files

